#pragma once
#include "afxwin.h"


// CDialogConfigTab2 對話方塊

class CDialogConfigTab2 : public CDialog
{
	DECLARE_DYNAMIC(CDialogConfigTab2)

public:
	CDialogConfigTab2(CWnd* pParent = NULL);   // 標準建構函式
	virtual ~CDialogConfigTab2();

// 對話方塊資料
	enum { IDD = IDD_DIALOG2 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支援

	DECLARE_MESSAGE_MAP()

	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

public:
	CEdit m_CEdit_DelayTime_DelayOffEnable;
	CComboBox m_CComboBox_PowerOffDelayTime_Enable;
	CEdit m_CEdit_DelayTime_DelayOnEnable;
	CComboBox m_CComboBox_PowerOnDelayTime_Enable;
	CEdit m_CEdit_DelayTime_PowerOff;
	CComboBox m_CComboBox_PowerOffDelayTime;
	CEdit m_CEdit_DelayTime_PowerOn;
	CComboBox m_CComboBox_PowerOnDelayTime;
	CEdit m_CEdit_RTC_Status;
	CComboBox m_CComboBox_RTC_Enable;
	CEdit m_CEdit_AlarmTimerHour;
	CComboBox m_CComboBox_AlarmTimer_Hour;
	CEdit m_CEdit_AlarmTimerMin;
	CComboBox m_CComboBox_AlarmTimer_Min;
	CEdit m_CEdit_AlarmTimerSec;
	CComboBox m_CComboBox_AlarmTimer_Sec;
	CEdit m_CEdit_WDT_Enable;
	CComboBox m_CComboBox_WDT_Enable;
	CEdit m_CEdit_WDT_TimeInterval;
	CComboBox m_CComboBox_WDT_TimeInterval;

	void fnGetDelayTimeOption();
	void fnGetRTCStatus();
	void fnGetAlarmTimer();
	void fnGetWatchdogConfig();

	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();

public:
	BOOL m_isDoCommand;
	void DoCommand();
	unsigned int m_nStep;
	void ResetDoCommand();
};
